#
# gcc Makefile for the binutils common stuff
#

CFLAGS 	= -g -O2 -Wall
CC	= gcc
LDFLAGS	=
LIB	= common.a



OBJS =	bitops.o	\
	hashstr.o	


# ------------------------------------------------------------------------------
# Dummy targets

.PHONY: all
ifeq (.depend,$(wildcard .depend))
all:	lib
include .depend
else
all:	depend
	@echo
	@echo Just say make again...
	@echo
endif

.PHONY:	lib
lib:	$(LIB)

$(LIB):	$(OBJS)
	$(AR) rs $(LIB) $?

# ------------------------------------------------------------------------------
# Make the dependencies

.PHONY: depend dep
depend dep:	$(OBJS:.o=.c)
	@echo "Creating dependency information"
	$(CC) -MM $^ > .depend


