#
# gcc Makefile for the cc65 binutils
#

CFLAGS 	= -g -O2 -Wall
CC	= gcc
LDFLAGS	=

SUBDIRS	=		\
	common		\
	ar65		\
	ca65		\
	ld65

.PHONY: all
all:
	for i in $(SUBDIRS); do $(MAKE) -C $$i -f make/gcc.mak; done

.PHONY: clean
clean:
	for i in $(SUBDIRS); do $(MAKE) -C $$i -f make/gcc.mak clean; done


