;
; void* memset (void* ptr, int c, size_t n);
;
; Ullrich von Bassewitz, 29.05.1998
;

 	.export		_memset
	.import		popax
	.importzp	ptr1, ptr2, tmp1, tmp2, tmp3

_memset:
 	sta	tmp1		; Save n
 	stx	tmp2
 	jsr	popax  	 	; get c
 	sta	tmp3		; save c
 	jsr	popax  	 	; get ptr
 	sta	ptr1
 	stx	ptr1+1 		; save work copy
	sta	ptr2
	stx	ptr2+1		; save function result
       	lda	tmp3

	ldy	#0
	ldx	tmp2		; get nbytes^
       	beq    	L2		; zero, try lo

L1:	sta	(ptr1),y	; set a byte
  	iny
  	bne	L1
	inc	ptr1+1		; bump ptr^
       	dex			; dec nbytes^
	bne	L1	     	; around again

L2:    	ldx	tmp1
  	beq	L9

L3:	sta	(ptr1),y	; zap a byte
  	iny
       	dex			; done?
  	bne	L3

L9:	lda	ptr2		; load function result
	ldx	ptr2+1
   	rts


