;
; Ullrich von Bassewitz, 05.06.1998
;
; int strncmp (const char* s1, const char* s2, unsigned n);
;

	.export		_strncmp
	.import		popax
	.importzp	ptr1, ptr2, ptr3


_strncmp:
     	sta	ptr3		; Save n
     	stx	ptr3+1
       	jsr	popax 	  	; get s2
     	sta	ptr2
     	stx	ptr2+1
     	jsr	popax 		; get s1
     	sta	ptr1
     	stx	ptr1+1
     	ldy	#0

loop:  	lda	ptr3		; while (n) ...
  	ora	ptr3+1
   	beq	L0
   	lda	(ptr1),y
     	cmp	(ptr2),y
   	bne    	L2
L0:	tax	  		; end of strings?
  	beq	L4
  	dec	ptr3		; n--;
  	bne	L1
	dec	ptr3+1
L1:	iny
  	bne	loop
  	inc	ptr1+1
  	inc	ptr2+1
  	bne	loop

L2:	bcs	L3
  	ldx	#$FF
  	rts

L3:	ldx	#$01
L4:	rts
